View Issue Details

IDProjectCategoryView StatusLast Update
0013832PatchesOtherpublic2011-12-01 11:24
ReporterKupreitchik Andrei Assigned ToAlexander S. Klenin  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Summary0013832: Second Y axis in TChart
DescriptionThere is no second Y axis in TChart

Thought a lot about how to solve this trouble with less modifications...
But to add new axis it was needed to rebuild some things in how tchart works with coordinates...

Patches for tagraph.pas, taseries.pas, tatypes.pas attached

Additional InformationPatch removes totally unused property MirrorX
Patch also removes Extent property from TChart in favor of Axis Min/Max

P.S. Patches are made basing on revision 20222 with Margins and BackColor patches applied
TagsTChart
Fixed in Revision26927
LazTarget0.9.30
Widgetset
Attached Files

Activities

2009-05-26 08:28

 

2ndY.zip (10,679 bytes)

Alexander S. Klenin

2010-07-31 16:02

developer   ~0039849

See axisdemo

Issue History

Date Modified Username Field Change
2009-05-26 08:28 Kupreitchik Andrei New Issue
2009-05-26 08:28 Kupreitchik Andrei File Added: 2ndY.zip
2009-05-26 08:29 Kupreitchik Andrei Tag Attached: TChart
2009-05-26 08:56 Vincent Snijders LazTarget => 0.9.28
2009-05-26 08:56 Vincent Snijders Assigned To => Alexander S. Klenin
2009-05-26 08:56 Vincent Snijders Status new => assigned
2009-05-26 08:56 Vincent Snijders Target Version => 0.9.28
2009-08-17 17:10 Vincent Snijders LazTarget 0.9.28 => 0.9.30
2009-08-17 17:10 Vincent Snijders Target Version 0.9.28 => 0.9.30
2010-06-05 17:10 Alexander S. Klenin Target Version 0.9.30 =>
2010-07-31 16:02 Alexander S. Klenin Fixed in Revision => 26927
2010-07-31 16:02 Alexander S. Klenin Status assigned => resolved
2010-07-31 16:02 Alexander S. Klenin Resolution open => fixed
2010-07-31 16:02 Alexander S. Klenin Note Added: 0039849
2011-12-01 11:24 Marc Weustink Status resolved => closed